﻿namespace HeuristicLab.Algorithms.PushGP.Generators {
  using System.Threading;

  using HeuristicLab.Algorithms.PushGP.Data.Random;
  using HeuristicLab.Core;

  public class FloatGenerator {
    private static readonly ThreadLocal<IRandom> rand = RandomFactory.GetRandom();

    public static double RandomFloat(double min = double.MinValue, double max = double.MaxValue) {
      return rand.Value.NextDouble() * (max - min) + min;
    }
  }
}